﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;
using System.IO;

namespace Sequence_Extractor_Web
{
    /// <summary>
    /// Interaction logic for Page1.xaml
    /// </summary>
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            if (ofd.ShowDialog() == true)
            {
                string TextData = File.ReadAllText(ofd.FileName);
                Paragraph p = new Paragraph();
                p.Inlines.Add(TextData);

                FlowDocument fd = new FlowDocument();
                fd.Blocks.Add(p);
                richTextBox1.Document = fd;

            }
        }

        private void button5_Click(object sender, RoutedEventArgs e)
        {
            richTextBox1.Document.Blocks.Clear();
        }

        private void button6_Click(object sender, RoutedEventArgs e)
        {
            richTextBox2.Document.Blocks.Clear();
        }

        private void button3_Click(object sender, RoutedEventArgs e)
        {
            TextRange tr = new TextRange(
            richTextBox1.Document.ContentStart,
            richTextBox1.Document.ContentEnd);
            System.IO.MemoryStream ms = new System.IO.MemoryStream();
            tr.Save(ms, DataFormats.Xaml);
            string xamlString = ASCIIEncoding.Default.GetString(ms.ToArray());
            System.Text.RegularExpressions.Regex findDEVX =
               new System.Text.RegularExpressions.Regex("DEVX(?![\\(TM\\)])");
            xamlString = findDEVX.Replace(xamlString, "DEVX(tm)");
            System.IO.MemoryStream msOut = new System.IO.MemoryStream();
            System.IO.StreamWriter sw = new System.IO.StreamWriter(msOut);
            sw.Write(xamlString);
            sw.Flush();
            msOut.Seek(0, System.IO.SeekOrigin.Begin);
            tr.Load(msOut, DataFormats.Xaml);

        }

        private void button8_Click(object sender, RoutedEventArgs e)
        {
            PrintDialog pd = new PrintDialog();
            if ((pd.ShowDialog() == true))
            {
                pd.PrintVisual(richTextBox1 as Visual, "printing as visual");
                pd.PrintDocument((((IDocumentPaginatorSource)richTextBox1.Document).DocumentPaginator), "printing as paginator");

            }
        }

        private void button7_Click(object sender, RoutedEventArgs e)
        {
            PrintDialog pd = new PrintDialog();
            if ((pd.ShowDialog() == true))
            {
                pd.PrintVisual(richTextBox2 as Visual, "printing as visual");
                pd.PrintDocument((((IDocumentPaginatorSource)richTextBox2.Document).DocumentPaginator), "printing as paginator");
            }
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {

        }

        private void button4_Click(object sender, RoutedEventArgs e)
        {

        }
    }
}
   
   


        
